class 'Note' (Node)

function Note:__init(screen, name, order)
    Node.__init(self, screen:getMainEntity(), name, order or 10)
    
    self.screen = screen
end
--------------------------------------------------------------------------------
function Note:loadPage()
    if self:isLoaded() then
        return
    end
    
	if self.CreateLoaderTable then
        self.table_resource = self:CreateLoaderTable()
        for key, info in pairs(self.table_resource) do
			if info.name == 'NotesBackground' then
				self.table_resource[key] = nil
				break
			end
		end
        LoadScene(self:getMainEntity(), self.table_resource)
    end

    if self.onLoaded then
        self:onLoaded()
    end
end
--------------------------------------------------------------------------------
function Note:isLoaded(id)
    return (self.table_resource ~= nil)
end